-- Create tef_client table.

CREATE TABLE tef_client (
    id bigserial NOT NULL PRIMARY KEY,
    te_created_id bigint UNIQUE REFERENCES transaction_entry(id),
    te_modified_id bigint UNIQUE REFERENCES transaction_entry(id),

    path text NOT NULL,
    host text NOT NULL DEFAULT 'localhost',
    port integer CONSTRAINT positive_port CHECK (port > 0)
);
